import { default as Colors } from './Colors';
export default SystemColors;
declare class SystemColors extends Colors {
    constructor(app: any, type: any, colorBy: any, scheme: any, data: any, keys: any, indexBy: any, dimensionsMetadata: any, measuresMetadata: any, locale: any);
    colorMap: {};
    getColor(id: any, datum: any): any;
    getColorByIndex(value: any): any;
    getColorByKey(value: any): any;
}
